org.codehaus.groovy.ast

## Class ImportNode

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.AnnotatedNode
    - - org.codehaus.groovy.ast.ImportNode

All Implemented Interfaces:
  org.objectweb.asm.Opcodes

    public class ImportNode
    extends AnnotatedNode
    implements org.objectweb.asm.Opcodes

Represents an import statement of a single class

Author:
  Jochen Theodorou, Paul King, James Strachan

### Field Summary

### Fields inherited from interface org.objectweb.asm.Opcodes

`AALOAD, AASTORE, ACC_ABSTRACT, ACC_ANNOTATION, ACC_BRIDGE, ACC_DEPRECATED, ACC_ENUM, ACC_FINAL, ACC_INTERFACE, ACC_NATIVE, ACC_PRIVATE, ACC_PROTECTED, ACC_PUBLIC, ACC_STATIC, ACC_STRICT, ACC_SUPER, ACC_SYNCHRONIZED, ACC_SYNTHETIC, ACC_TRANSIENT, ACC_VARARGS, ACC_VOLATILE, ACONST_NULL, ALOAD, ANEWARRAY, ARETURN, ARRAYLENGTH, ASTORE, ATHROW, BALOAD, BASTORE, BIPUSH, CALOAD, CASTORE, CHECKCAST, D2F, D2I, D2L, DADD, DALOAD, DASTORE, DCMPG, DCMPL, DCONST_0, DCONST_1, DDIV, DLOAD, DMUL, DNEG, DOUBLE, DREM, DRETURN, DSTORE, DSUB, DUP, DUP_X1, DUP_X2, DUP2, DUP2_X1, DUP2_X2, F_APPEND, F_CHOP, F_FULL, F_NEW, F_SAME, F_SAME1, F2D, F2I, F2L, FADD, FALOAD, FASTORE, FCMPG, FCMPL, FCONST_0, FCONST_1, FCONST_2, FDIV, FLOAD, FLOAT, FMUL, FNEG, FREM, FRETURN, FSTORE, FSUB, GETFIELD, GETSTATIC, GOTO, I2B, I2C, I2D, I2F, I2L, I2S, IADD, IALOAD, IAND, IASTORE, ICONST_0, ICONST_1, ICONST_2, ICONST_3, ICONST_4, ICONST_5, ICONST_M1, IDIV, IF_ACMPEQ, IF_ACMPNE, IF_ICMPEQ, IF_ICMPGE, IF_ICMPGT, IF_ICMPLE, IF_ICMPLT, IF_ICMPNE, IFEQ, IFGE, IFGT, IFLE, IFLT, IFNE, IFNONNULL, IFNULL, IINC, ILOAD, IMUL, INEG, INSTANCEOF, INTEGER, INVOKEDYNAMIC, INVOKEDYNAMIC_OWNER, INVOKEINTERFACE, INVOKESPECIAL, INVOKESTATIC, INVOKEVIRTUAL, IOR, IREM, IRETURN, ISHL, ISHR, ISTORE, ISUB, IUSHR, IXOR, JSR, L2D, L2F, L2I, LADD, LALOAD, LAND, LASTORE, LCMP, LCONST_0, LCONST_1, LDC, LDIV, LLOAD, LMUL, LNEG, LONG, LOOKUPSWITCH, LOR, LREM, LRETURN, LSHL, LSHR, LSTORE, LSUB, LUSHR, LXOR, MONITORENTER, MONITOREXIT, MULTIANEWARRAY, NEW, NEWARRAY, NOP, NULL, POP, POP2, PUTFIELD, PUTSTATIC, RET, RETURN, SALOAD, SASTORE, SIPUSH, SWAP, T_BOOLEAN, T_BYTE, T_CHAR, T_DOUBLE, T_FLOAT, T_INT, T_LONG, T_SHORT, TABLESWITCH, TOP, UNINITIALIZED_THIS, V1_1, V1_2, V1_3, V1_4, V1_5, V1_6, V1_7`

### Constructor Summary

Constructors
Constructor and Description
`ImportNode(ClassNode type)` Represent a static import of a Class, i.e.
`ImportNode(ClassNode type, String alias)` Represent an import of an entire package, i.e.
`ImportNode(ClassNode type, String fieldName, String alias)` Represent a static import of a field or method, i.e.
`ImportNode(String packageName)` Represent an import of an entire package, i.e.

### Method Summary

Methods
`String` `getAlias()`
`String` `getClassName()`
`String` `getFieldName()`
`String` `getPackageName()`
`String` `getText()`
`ClassNode` `getType()`
`boolean` `isStar()`
`boolean` `isStatic()`
`void` `visit(GroovyCodeVisitor visitor)`

### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

`addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

### Methods inherited from class org.codehaus.groovy.ast.ASTNode

`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImportNode

    public ImportNode(ClassNode type,
              String alias)

Represent an import of an entire package, i.e. import package.Classname

Parameters:
  `type` - the referenced class
  `alias` - optional alias

#### ImportNode

    public ImportNode(String packageName)

Represent an import of an entire package, i.e. import package.*

Parameters:
  `packageName` - the name of the package

#### ImportNode

    public ImportNode(ClassNode type)

Represent a static import of a Class, i.e. import static package.Classname.*

Parameters:
  `type` - the referenced class

#### ImportNode

    public ImportNode(ClassNode type,
              String fieldName,
              String alias)

Represent a static import of a field or method, i.e. import static package.Classname.name

Parameters:
  `type` - the referenced class
  `fieldName` - the field name
  `alias` - optional alias

### Method Detail

#### getText

    public String getText()

Overrides:
  `getText` in class `ASTNode`
Returns:
  the text display of this import

#### getPackageName

    public String getPackageName()

#### getFieldName

    public String getFieldName()

#### isStar

    public boolean isStar()

#### isStatic

    public boolean isStatic()

#### getAlias

    public String getAlias()

#### getType

    public ClassNode getType()

#### getClassName

    public String getClassName()

#### visit

    public void visit(GroovyCodeVisitor visitor)

Overrides:
  `visit` in class `ASTNode`